OpenTTD Source: InPlaceBuilder::back_insert_iterator Class Reference

OpenTTD Source 15.3

Public Types | Public Member Functions | Private Attributes
InPlaceBuilder::back_insert_iterator Class Reference

Implementation of std::back_insert_iterator for non-growing destination buffer. More...

`#include <string_inplace.hpp>`

## Public Types
using | value_type = void
using | difference_type = void
using | iterator_category = std::output_iterator_tag
using | pointer = void
using | reference = void

## Public Member Functions
| back_insert_iterator (InPlaceBuilder &parent)
back_insert_iterator & | operator++ ()
back_insert_iterator | operator++ (int)
back_insert_iterator & | operator* ()
back_insert_iterator & | operator= (char value)

## Private Attributes
InPlaceBuilder * | parent = nullptr

## Detailed Description

Implementation of std::back_insert_iterator for non-growing destination buffer.

Definition at line 55 of file string_inplace.hpp.

## Member Typedef Documentation

## ◆ difference_type

using InPlaceBuilder::back_insert_iterator::difference_type = void

Definition at line 59 of file string_inplace.hpp.

## ◆ iterator_category

using InPlaceBuilder::back_insert_iterator::iterator_category = std::output_iterator_tag

Definition at line 60 of file string_inplace.hpp.

## ◆ pointer

using InPlaceBuilder::back_insert_iterator::pointer = void

Definition at line 61 of file string_inplace.hpp.

## ◆ reference

using InPlaceBuilder::back_insert_iterator::reference = void

Definition at line 62 of file string_inplace.hpp.

## ◆ value_type

using InPlaceBuilder::back_insert_iterator::value_type = void

Definition at line 58 of file string_inplace.hpp.

## Constructor & Destructor Documentation

## ◆ back_insert_iterator()

InPlaceBuilder::back_insert_iterator::back_insert_iterator | ( | InPlaceBuilder & | parent | ) |
| inline

Definition at line 64 of file string_inplace.hpp.

## Member Function Documentation

## ◆ operator*()

back_insert_iterator & InPlaceBuilder::back_insert_iterator::operator* | ( |  | ) |
| inline

Definition at line 68 of file string_inplace.hpp.

## ◆ operator++() [1/2]

back_insert_iterator & InPlaceBuilder::back_insert_iterator::operator++ | ( |  | ) |
| inline

Definition at line 66 of file string_inplace.hpp.

## ◆ operator++() [2/2]

back_insert_iterator InPlaceBuilder::back_insert_iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 67 of file string_inplace.hpp.

## ◆ operator=()

back_insert_iterator & InPlaceBuilder::back_insert_iterator::operator= | ( | char | value | ) |
| inline

Definition at line 70 of file string_inplace.hpp.

## Field Documentation

## ◆ parent

InPlaceBuilder* InPlaceBuilder::back_insert_iterator::parent = nullptr
| private

Definition at line 56 of file string_inplace.hpp.

The documentation for this class was generated from the following file:

- src/core/string_inplace.hpp